Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ObjectLiteralTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      public interface ObjectLiteralTree
      extends ExpressionTree

  Represents ECMAScript object literal expression.
  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends PropertyTree>` | `getProperties​()` | Returns the list of properties of this object literal.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getProperties

          List<? extends PropertyTree> getProperties​()

      Returns the list of properties of this object literal.
      Returns:
        the list of properties of this object literal